#include <stdio.h>

int main(int argc, char const *argv[]) {
  char a;
  int novcanice = 0;

   a = getchar();
   while (a != '\n' && a!=EOF) {
    int cifra = a - '0';
    novcanice += cifra / 5;
    cifra %= 5;

    novcanice += cifra / 2;
    cifra %= 2;
    novcanice += cifra;
    a = getchar();
  }

  printf("%d", novcanice);

  return 0;
}